# Generated by Django 2.2 on 2021-01-16 17:39

import _requests.models.requests
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='RequestAttachment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('file_path', models.FileField(null=True, upload_to=_requests.models.requests.gig_request_attachment_path)),
            ],
            options={
                'db_table': 'request_attachment',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='RequestDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
            ],
            options={
                'db_table': 'request_dtl',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='ServiceRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('description', models.CharField(max_length=2500)),
                ('service_delivery_other', models.IntegerField(null=True)),
                ('budget', models.DecimalField(decimal_places=2, max_digits=9)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
            ],
            options={
                'db_table': 'request',
                'default_permissions': (),
            },
        ),
    ]
